Page MenuHomePhabricator

Remove Ceph from cloudvirt-wdqs100x, Add ceph to cloudvirt1004 and cloudvirt1006
Closed, ResolvedPublic

Description

We need to return the wdqs hardware to the wdqs team.

Cloudvirt1006 is empty and ready for service (we drained it recently for a battery replacement, T246908. Cloudvirt1004 is untrustworthy because its RAID card freaked out a few weeks ago. With live migration and non-local storage, a future raid-card freakout will be much less scary.

Event Timeline

Andrew created this task.May 14 2020, 3:23 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 14 2020, 3:23 PM
Restricted Application added a project: Wikidata. · View Herald TranscriptMay 14 2020, 3:25 PM

Change 596466 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] Convert cloudvirt1004 and cloudvirt1006 to ceph-backed cloudvirts

https://gerrit.wikimedia.org/r/596466

Change 596466 merged by Andrew Bogott:
[operations/puppet@production] Convert cloudvirt1004 and cloudvirt1006 to ceph-backed cloudvirts

https://gerrit.wikimedia.org/r/596466

Change 596467 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] cloudvirt1004/1006: fix role name

https://gerrit.wikimedia.org/r/596467

Change 596467 merged by Andrew Bogott:
[operations/puppet@production] cloudvirt1004/1006: fix role name

https://gerrit.wikimedia.org/r/596467

Mentioned in SAL (#wikimedia-cloud) [2020-05-14T15:47:10Z] <andrewbogott> moving cloudvirt1004 and cloudvirt1006 to the 'ceph' aggregate for T252784

1004 and 1006 are now running ceph; I've drained the wdqs nodes but not rebuilt them yet.

Change 596816 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] Move cloudvirt-wdqs hosts off of ceph

https://gerrit.wikimedia.org/r/596816

Change 596816 merged by Andrew Bogott:
[operations/puppet@production] Move cloudvirt-wdqs hosts off of ceph

https://gerrit.wikimedia.org/r/596816

Andrew closed this task as Resolved.May 17 2020, 4:13 AM